Subject: Re: bug#18586: 24.4.50; "Not an in-range integer, float, or cons of integers" from x-focus-frame

From: Leo Liu <[email-masked]>
Date: Tue, 30 Sep 2014 16:10:20 +0800

On 2014-09-29 21:03 -0700, Paul Eggert wrote:
> Thanks for the bug report.  I'm not observing the problem on my
> platform with a similar configuration (Emacs trunk bzr 117978, Fedora
> 20 x86-64, gcc 4.9.1, detailed configuration below).  I ran 'emacs -Q'
> and then typed "(x-focus-frame (selected-frame)) C-j"; the result was
> nil.
>
> Can you put a breakpoint on cons_to_unsigned's call to 'error', and
> similarly on cons_to_signed's call to 'error', and get a backtrace at
> that point?

I had a report on a similar issue but the bug is gone after a reboot.
Not easy to reproduce.

Leo